Skip to main content
POST
/
product
Create Product
curl --request POST \
  --url https://uat-api.clinkbill.com/api/product \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>' \
  --data '
{
  "name": "Pro Plan",
  "localizedNames": {
    "en-US": "Pro Plan",
    "zh-CN": "专业版套餐"
  },
  "description": "Access to Pro features",
  "image": "oss_xxxxx",
  "taxCategory": "software_service",
  "priceList": [
    {
      "currency": "USD",
      "unitAmount": 29.99,
      "priceType": "recurring",
      "isDefaultPrice": true,
      "recurringDetails": {
        "interval": "quarter",
        "interval_count": 1,
        "trial_period_days": 7,
        "pricing_model": "flat_rate"
      }
    }
  ]
}
'
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "productId": "<string>",
    "name": "<string>",
    "active": true,
    "description": "<string>",
    "defaultPrice": "<string>",
    "image": "<string>",
    "createTime": 123,
    "updateTime": 123,
    "localizedNames": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.clinkbill.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Body

application/json

Parameters required to create a product by API

name
string
required

Default product name

image
string
required

Uploaded product image OSS ID

taxCategory
enum<string>
required

Product tax category

Available options:
digital_goods_or_service,
ebook,
software_service
localizedNames
object

Localized product names. Key is a language or locale code, value is the localized product name.

description
string

Product description

defaultPrice
string

Default price ID. Usually omitted when creating a new product with priceList.

priceList
object[]

Prices to create with this product

Response

Product created successfully

Body of the response message

code
integer<int32>

Response status code, 200 when success

msg
string

Brief description of what happened, success when happy case

data
object